using System;
using System.Data.SqlClient;

using Remuneraciones.DataSetFT;
using Remuneraciones.DataAccess;
using Municipalidad.Utils;

namespace Remuneraciones.BusinessObjects
{
	public class RlsUniNegocio: RlsUniNegocioCRUD
	{
		/// <summary>
		/// Constructor
		/// </summary>
		public RlsUniNegocio()
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <returns></returns>
		public DSUniNegocio LoadBrowse(string idEmpresa, int Ano)
		{
			//SqlConnection utilizado para ejecutar el SqlCommand
			SqlConnection connection = null;

			//Almacena retorno del DataAccess
			DSUniNegocio ds;

			try
			{
				//Abre la conexion
				//connection = UtilsDB.GetConnection(UtilsConnectionManager.GetConnection(eConnectionString.Remuneraciones));
				connection = UtilsDB.GetConnection(Utils.GetAnoConnection(Ano));

				UniNegocio da = new UniNegocio(connection);
				ds = da.SelectBrowse(idEmpresa);
			}
			catch (Exception ex)
			{
				throw ex;
			}
			finally
			{
				if (connection != null)
					connection.Dispose();
			}

			return ds;
		}
	}
}